org.apache.lucene.analysis

## Class NormalizeCharMap

- java.lang.Object
- - org.apache.lucene.analysis.NormalizeCharMap

-     public class NormalizeCharMap
      extends java.lang.Object

  Holds a map of String input to String output, to be used with `MappingCharFilter`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizeCharMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String singleMatch, java.lang.String replacement)` Records a replacement to be applied to the inputs stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalizeCharMap

          public NormalizeCharMap()

  - ### Method Detail

    - #### add

          public void add(java.lang.String singleMatch,
                          java.lang.String replacement)

      Records a replacement to be applied to the inputs stream. Whenever `singleMatch` occurs in the input, it will be replaced with `replacement`.
      Parameters:
        `singleMatch` - input String to be replaced
        `replacement` - output String

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.